/**
 * posix.C: POSIX-style crypt(3) wrapper.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: posix.C,v 1.6 2007/09/16 18:54:43 pippijn Exp $
 */

#include "atheme.h"
#include <ermyth/crypto.h>

static char const rcsid[] = "$Id: posix.C,v 1.6 2007/09/16 18:54:43 pippijn Exp $";

namespace crypto
{
  struct posix : handler
  {
    virtual char const *crypt (char const * const key, char const * const salt);
  };

  char const *
  posix::crypt (char const * const key, char const * const salt)
  {
    return crypt (key, salt);
  }
}

#define FACREG_TYPE crypto::posix
#define FACREG_TYPE_NAME "posix"
#define FACREG_INTERFACE_TYPE crypto::handler
#include <ermyth/factory_reg.h>
